Jump to content
Sign in to follow this  
rinon

Contrib Installer

Recommended Posts

hmmm... tried it and got this now

Error in findreplace section #5: no linenumbers start, end or type.

file: admin/includes/boxes/catalog.php

find: '<a href="' . tep_href_link1(replace:

tep_admin_files_boxes(

 

 

Got it.... error produced by editing mistake. e.g

 

<<originallinenumbers type="continued" /> instead of

<originallinenumbers type="continued" />

 

Admin_Access_Level installed now

 

:D thanx

Share this post


Link to post
Share on other sites

Ok, got something new... everytime I add a product, I get an extra one of there that pops up at the top...

 

/* Begin Attribute_Sets-5.5 - installed by Contrib_Installer */ /* End Attribute_Sets-5.5 - installed by Contrib_Installer */ /*

. I've stopped at 5 products right now, because even that is annoying. Don't even want to imagine what it'll look like at 500 products. Any ideas?

Edited by RainDrop Tech

Share this post


Link to post
Share on other sites

This happen to me also,

it's the contrib installer putting the comment

/* Begin Attribute_Sets-5.5 - installed by Contrib_Installer */

 

in the middle of html instead of php script (slightly the wrong place)

 

I noticed this happening when you install - remove - then reinstall contribs with CIP....

 

the simple solution is search & remove the comment - but this needs to be addressed since its doing this for several contribs

Share this post


Link to post
Share on other sites
This happen to me also,

it's the contrib installer putting the comment

/* Begin Attribute_Sets-5.5 - installed by Contrib_Installer */

 

in the middle of html instead of php script (slightly the wrong place)

 

I noticed this happening when you install - remove - then reinstall contribs with CIP....

 

the simple solution is search & remove the comment - but this needs to be addressed since its doing this for several contribs

 

Hi all!

I'm now a dady! First son was born!

 

Ok. The simpliest soplution is:

 

<addcode>
  ...
  <find>...</find>
  <add type="html">
  ...
  </add>
</addcode>

 

Use type="html" if you need a comments like in html.

You can also use "php" for php-style commenting but it's a default

 

This featrure can be use in:

addcode and

findreplace

 

examle:

<findreplace>
  ...
  <find>...</find>
  <replace type="html">
  ...
  </replace>
</findreplace>


===============================

Never give up! Never give up! Never give up!

Share this post


Link to post
Share on other sites
Hi all!

I'm now a dady! First son was born!

 

Congratulations!

 

I am also basking in my good fortune of having a brand new baby girl.

 

:D

Share this post


Link to post
Share on other sites

Hi everybody!

I want to tell you that soon - very soon now version of Contrib Installer will be released.

I have fixed bugs that you report and add some new and useful features.

 

All code was rewrited and became an object-oriented. So we have classes that means that we can add new tags and easy change the behavioure of existing tags (from xml-file).

Also this new realization gives an ability to fix many old bugs and rersolve some problems that couldn't be resolved with good-old code. Rinon made a very good code and I want to have a perfect tool.

God bless us!


===============================

Never give up! Never give up! Never give up!

Share this post


Link to post
Share on other sites

Please help!

Okay, Really having problems getting the latest build of Contrib_Installer 1.0.15 installed.

 

I had backed out v1.0.3 as I couldn't get that working too well and decided to wait a while to see what advances this contrib has made. Quite significant to say the least.

 

So here is the problem.

First, this is a fully populated installation with AdminAccess installed built on a FreeBSD box using Apache, PHP5 & MySQL5.

 

Install Steps:

1) Log in as root on Apache server.

2) Copied all the files to their appropriate places. Check!

3) Check to make sure ownership access was correct. Check!

4) Set permissions according to instructions. Check!

5) Went to http://my_domain.com/admin/contrib_installer.php

 

Results:

1) OSC returns:

Access Denied

No Right Permission Access

Please contact your Web Administrator to request

more access or if you found any problem.

 

I went back through all the permissions. I opened up all the installed files to 0777 and still no luck.

I am pretty good at this stuff and this one has me dumbfounded.

Please help!

Thanx.

Share this post


Link to post
Share on other sites
Anyone know how to get this out of my admin?

 

You need to go into MySQL and remove it from inside the table called Categories Groups. If you really removing all of it then remove the table that refer to Contrib_Installer. Then remove all the files that you originally installed.

 

That's it.

Bruce

Share this post


Link to post
Share on other sites

Vlad,

 

I have yet to upgrade from Contrib Installer 1.0.14a and now I see we have a CIP file for Easy Populate 2.79a with the fix #1. Do you know if this CIP file EP 2.79a works ? is it compatible with Contrib Installer 1.0.14a or do I need to upgrade to 1.0.15 ?

Share this post


Link to post
Share on other sites
I have yet to upgrade from Contrib Installer 1.0.14a and now I see we have a CIP file for Easy Populate 2.79a with the fix #1. Do you know if this CIP file EP 2.79a works ? is it compatible with Contrib Installer 1.0.14a or do I need to upgrade to 1.0.15 ?

 

I don't know if it's EP version work.

1.0.15 just have some bug fixes and nothing really now.


===============================

Never give up! Never give up! Never give up!

Share this post


Link to post
Share on other sites
I don't know if it's EP version work.

1.0.15 just have some bug fixes and nothing really now.

 

Vlad,

 

I performed the following steps to upgrade Contrib Installer from 1.0.14 to 1.0.15 per How_To_UpDate.txt

 

To update Contrib Installer You should:

 

1. Open in Admin Area - Tools/Contrib Installer or in browser go to http://<your site>/admin/contrib_installer.php

 

2. Remove all installed CIP's (Contrib Installer Package's), because all info about installed CIP will be removed on step 4.

 

3. Remove installed Contrib Installer, you will see the initial page of Contrib Installer asking a path for contribs.

 

4. Leave your browser and open in any filemanager folder with your site

 

5. Copy new files from new version of Contrib Installer over old files (overwrite)

 

copied files from 1.0.15 package to correct locations as follows: all files have 644 permissions

 

catalog/admin/contrib_installer.php

catalog/admin/includes/functions/11 files

catalog/admin/includes/javascript/contrib_installer.js

catalog/admin/includes/languages/english/contrib_installer.php

catalog/admin/includes/languages/english/images/buttons/5 files

 

catalog/admin/contributions folder now contains:

unzipped Contrib_Installer_1.0.15 in its entirety

Contrib_Installer_1.0.14/install.xml

Easy Populate 2.79a FPI in its entirety

All_Products-2.8 in its entirety

 

 

6. Go again to http://<your site>/admin/contrib_installer.php

 

7. Install Contrib Installer.

 

now pressing continue at Catalog/admin/contrib_installer.php says "Couldn't copy file: install.xml"

 

how do I get past this error to upgrade to 1.0.15?

Share this post


Link to post
Share on other sites
now pressing continue at Catalog/admin/contrib_installer.php says "Couldn't copy file: install.xml"

how do I get past this error to upgrade to 1.0.15?

 

Ok.

It's not nessesary to create folder for Contrib Installer in contribs folder.

CI will create it.

So you can remove all CI-folders which contain install.xml

and install Contrib Installer againe.

 

Problem is the permissions.

Web-server (Apache) usually create folders and files with user/group : nobody/nobody!

But you are working via FTP or shell with other user/group.

So folder created by you could be NOT writeable for Apache (web-server).

 

This mean that you can also change write permissions (CI contain instructions about it in txt-files).


===============================

Never give up! Never give up! Never give up!

Share this post


Link to post
Share on other sites

Uploaded new Contrib Installer 1.0.16

 

Changes since 1.0.15:

Fixed an old bug in permissions_check.php [function del_file_permissions_check()]

This bug chacks premission in wrong way like in addfile (see 1.0.14a)

 

Added new comments type "bash". Looks like this:

# comment

 

I'm working on version 2.0 but I want to test it more.

This will be really new version. Just wait for some time.

On my local mashine all works fine but on remote server could be some ploblems.

So I will test and then release.

 

God bless me!


===============================

Never give up! Never give up! Never give up!

Share this post


Link to post
Share on other sites

Vlad,

 

after some 5 manhours of retracing steps and having to comment out install and replace directives in the contrib install.xml file, I was able to uninstall contrib Installer versions 1.0.14a and 1.0.15. I have Installed 1.0.16 successfully and have used this newest version to successfully Install Easy Populate 2.79a FP1. So Both work just fine.

 

Vlad, please consider adding these steps to upgrade Instructions:

  1. Create a backup file of last Contrib Install.xml
  2. Create a backup file of last Contrib Install.xml
  3. Compare this file side by side with newer version of contrib Installer install.xml, leave this view open.
  4. Run Contrib Installer of newer version
  5. At each error step, comment out those steps which have already been completed by prior versions in the new version install.xml and FTP this revised install.xml
  6. Press Continue at admin/Contrib Installer to complete Installation

This is a great Contribution and Spasibo, Grazie, Gracias, Mercie, Bitte, shukran, khudafas, and Thanks to Vlad for his efforts to support and further develop this contribution.

Share this post


Link to post
Share on other sites
after some 5 manhours of retracing steps and having to comment out install and replace directives in the contrib install.xml file, I was able to uninstall contrib Installer versions 1.0.14a and 1.0.15. I have Installed 1.0.16 successfully and have used this newest version to successfully Install Easy Populate 2.79a FP1. So Both work just fine.

 

Vlad, please consider adding these steps to upgrade Instructions:

 

Create a backup file of last Contrib Install.xml

Compare this file side by side with newer version of contrib Installer install.xml, leave this view open.

Run Contrib Installer of newer version

At each error step, comment out those steps which have already been completed by prior versions in the new version install.xml and FTP this revised install.xml

Press Continue at admin/Contrib Installer to complete Installation

 

Hi,

What for you did a lot of work.

Do you have a working shop?

Do you have a lot of CIP installed?

I think you could just overwrite old files (1.0.15) of Contrib Installer with newest (1.0.16).


===============================

Never give up! Never give up! Never give up!

Share this post


Link to post
Share on other sites

I get a bunch of 'conflicts' due to small changes in code from the original oscommerce. Is this contrib only good if oscommerce is a 'clean' install and isnt already modified? 'Cause I otherwise can't install anything because of these other modifications.

Share this post


Link to post
Share on other sites

I tried to install the header CIB and forum CIB, header had conflicts, forum, seemed to work, but no idea how to get to the forums.

Share this post


Link to post
Share on other sites
I get a bunch of 'conflicts' due to small changes in code from the original oscommerce. Is this contrib only good if oscommerce is a 'clean' install and isnt already modified? 'Cause I otherwise can't install anything because of these other modifications.

 

Yes, osCommerce should be clean.

If you have a modified osCommerce you could do your own CIP which will work with your code.


===============================

Never give up! Never give up! Never give up!

Share this post


Link to post
Share on other sites
header CIB and forum CIB

What is it?


===============================

Never give up! Never give up! Never give up!

Share this post


Link to post
Share on other sites

Hello!

I want to tell you that you have a posibility to

get newest version of Contrib Installer 2.0 from CVS.

 

To get code from CVS run this:

cvs -z3 -d:pserver:anonymous@cip.cvs.sourceforge.net:/cvsroot/cip co -P cip

 

God bless you!


===============================

Never give up! Never give up! Never give up!

Share this post


Link to post
Share on other sites
Hello!

I want to tell you that you have a posibility to

get newest version of Contrib Installer 2.0 from CVS.

 

To get code from CVS run this:

cvs -z3 -d:pserver:anonymous@cip.cvs.sourceforge.net:/cvsroot/cip co -P cip

 

God bless you!

 

Wasn't sure how that command above would work but I typed in into the command prompt on my Win XP machine and it actually worked.. Then had to work out where it had put the files :)

 

(I think I must have installed CVS at some stage! or is it part of XP these days??)

 

After that had some problems with it that I reported at vlad's contrib installer support site cip.net.ua that could be PHP4 issues (PHP5 has better object support apparently)

 

I've got a major OSC baseline rebuild project to create an online Enrolment and Attainment Tracking (EAT)system so will be doing a lot of testing and package creation because if I'm going to go to the trouble of installing and compatibility testing and fixing 50 or so standard contribs I want to be able to easily manage and maintain it..

 

wish me luck :)

 

regards,

 

HL

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×